Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ExternalRetentionPolicy

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.RetentionPolicy
                          oracle.ifs.beans.TieRetentionPolicy
                              oracle.ifs.beans.ExternalRetentionPolicy

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieExternalRetentionPolicy

    public class ExternalRetentionPolicy

extends TieRetentionPolicy

A ExternalRetentionPolicy represents a policy for controls the retention of documents, where the policy is managed externally.

(Unpublished)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `EXTERNALDISPLAYNAME_ATTRIBUTE` The display name of the corresponding external instance.
`static java.lang.String` | `EXTERNALMANAGERID_ATTRIBUTE` The name of the attribute that contains the identify of the external retention manager.
`static java.lang.String` | `EXTERNALNAME_ATTRIBUTE` The name (identifier) of the corresponding external instance, which may not be unique.
`static java.lang.String` | `RECORDCATEGORY_ATTRIBUTE` The name of the attribute that indicates whether this ExternalRetentionPolicy is considered a "record category".
`static java.lang.String` | `RECORDFOLDER_ATTRIBUTE` The name of the attribute that indicates whether this ExternalRetentionPolicy is considered a "record folder".

Fields inherited from class oracle.ifs.beans.RetentionPolicy
`DESCRIPTION_ATTRIBUTE, NAME_ATTRIBUTE, RECORD_ATTRIBUTE, REFERENCED_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ExternalRetentionPolicy(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a ExternalRetentionPolicy object.

Method Summary
`static RetentionPolicy[]` | `findAll(LibrarySession session)` Returns the set of defined ExternalRetentionPolicy instances.
`java.lang.String` | `getExternalDisplayName()` Gets the display name of the corresponding external instance.
`java.lang.String` | `getExternalManagerId()` Gets the identify of the external retention manager.
`java.lang.String` | `getExternalName()` Gets the name of the corresponding external instance, which may not be unique.
`boolean` | `isRecordCategory()` Gets the indication of whether this ExternalRetentionPolicy is considered a "record category".
`boolean` | `isRecordFolder()` Gets the indication of whether this ExternalRetentionPolicy is considered a "record folder".

Methods inherited from class oracle.ifs.beans.RetentionPolicy
`applyLock, applyLock, applyUnlock, findByName, getDescription, handleUpdate, hasNameAttribute, isRecord, isReferenced, preFree, setReferenced`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ExternalRetentionPolicy`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### EXTERNALNAME_ATTRIBUTE

    public static final java.lang.String EXTERNALNAME_ATTRIBUTE

  Description copied from class: `ExternalRetentionPolicy`
  The name (identifier) of the corresponding external instance, which may not be unique. (String[700])

  See Also:
    Constant Field Values

### EXTERNALDISPLAYNAME_ATTRIBUTE

    public static final java.lang.String EXTERNALDISPLAYNAME_ATTRIBUTE

  Description copied from class: `ExternalRetentionPolicy`
  The display name of the corresponding external instance. (String[700])

  See Also:
    Constant Field Values

### EXTERNALMANAGERID_ATTRIBUTE

    public static final java.lang.String EXTERNALMANAGERID_ATTRIBUTE

  Description copied from class: `ExternalRetentionPolicy`
  The name of the attribute that contains the identify of the external retention manager. (String 700)

  See Also:
    Constant Field Values

### RECORDCATEGORY_ATTRIBUTE

    public static final java.lang.String RECORDCATEGORY_ATTRIBUTE

  Description copied from class: `ExternalRetentionPolicy`
  The name of the attribute that indicates whether this ExternalRetentionPolicy is considered a "record category". (Boolean)

  See Also:
    Constant Field Values

### RECORDFOLDER_ATTRIBUTE

    public static final java.lang.String RECORDFOLDER_ATTRIBUTE

  Description copied from class: `ExternalRetentionPolicy`
  The name of the attribute that indicates whether this ExternalRetentionPolicy is considered a "record folder". (Boolean)

  See Also:
    Constant Field Values

Constructor Detail

### ExternalRetentionPolicy

    protected ExternalRetentionPolicy(LibrarySession session,
                                      java.lang.Long id,
                                      java.lang.Long classId,
                                      S_LibraryObjectData data)
                               throws IfsException

  Construct a ExternalRetentionPolicy object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getExternalName

    public java.lang.String getExternalName()
                                     throws IfsException

  Description copied from class: `ExternalRetentionPolicy`
  Gets the name of the corresponding external instance, which may not be unique.

  Returns:
    the name of the corresponding external object
  Throws:
    `IfsException` - if operation fails

### getExternalDisplayName

    public java.lang.String getExternalDisplayName()
                                            throws IfsException

  Description copied from class: `ExternalRetentionPolicy`
  Gets the display name of the corresponding external instance.

  Returns:
    the display name of the corresponding external object
  Throws:
    `IfsException` - if operation fails

### getExternalManagerId

    public java.lang.String getExternalManagerId()
                                          throws IfsException

  Description copied from class: `ExternalRetentionPolicy`
  Gets the identify of the external retention manager.

  Returns:
    the identify of the external retention manager
  Throws:
    `IfsException` - if operation fails

### isRecordCategory

    public boolean isRecordCategory()
                             throws IfsException

  Description copied from class: `ExternalRetentionPolicy`
  Gets the indication of whether this ExternalRetentionPolicy is considered a "record category".

  Returns:
    true if this is a record category; false otherwise
  Throws:
    `IfsException` - if operation fails

### isRecordFolder

    public boolean isRecordFolder()
                           throws IfsException

  Description copied from class: `ExternalRetentionPolicy`
  Gets the indication of whether this ExternalRetentionPolicy is considered a "record folder".

  Returns:
    true if this is a record folder; false otherwise
  Throws:
    `IfsException` - if operation fails

### findAll

    public static RetentionPolicy[] findAll(LibrarySession session)
                                     throws IfsException

  Description copied from class: `ExternalRetentionPolicy`
  Returns the set of defined ExternalRetentionPolicy instances.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of ExternalRetentionPolicy instances; returns an empty array if there are none
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD